İçeriğe geç

Ideogram V2 Edit

Entegre et

Model kimliği ideogram/v2/edit
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/ideogram/v2/edit?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "mask": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Bu istek: $0,08 80 API kredisi · ≈ ₽8,44 Bu sayfada çalıştır

API anahtarı al
Ideogram Görsel Düzenleme #realism#typography

İstemdeki maskeli alanı dolduran Ideogram V2 maske tabanlı inpainting

Ideogram · Görsel

İlk sonucunuz burada görünecek

Aşağıda bir istek oluşturun ve API anahtarınızla çalıştırın. Çıktılar depolamamıza kopyalanır ve sonsuza kadar veya ücretsiz olarak 7 gün boyunca saklanır.

İstek oluştur

Kontroller model şemasından oluşturulur. Değerleri değiştirdikçe kod ve fiyat güncellenir.

•gerekli

Görselin maskeli bölgesindeki doldurmayı açıklayan istem.

•gerekli image_url
Dosyayı bırakın veya

Üretim kaynağını görsel URL'si olarak sağlayın; kaynak görsel ile maskenin boyutlarının aynı olduğundan emin olun.

•gerekli mask_url
Dosyayı bırakın veya

İç boyama maskesini URL ile sağlayın; boyutlarının girdi görseliyle aynı olduğundan emin olun.

Gelişmiş style · seed · expand_prompt
style varsayılan auto

Çıktı görselinin görsel stili.

Rastgele sayı üretimi için tohum değeri.

POST /run/ideogram/v2/edit?wait=20 fiyat → $0,08
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/ideogram/v2/edit?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "mask": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Bu isteği çalıştır

Anahtarınız bu tarayıcıda kalır: yalnızca Doitong API'ye gönderilir ve yalnızca Hatırla seçeneğini işaretlerseniz localStorage'a kaydedilir. API anahtarı al

Ideogram V2 Edit hakkında

Maskelenmiş bir bölgeyi doldurarak görüntüyü düzenler. Doldurulacak bölüm için `image_url`, `mask_url` (görüntüyle aynı boyutlarda) ve bir `prompt` gerekir. İsteğe bağlı `style` (auto, general, realistic, design, render_3D, anime), `expand_prompt` ve `seed` desteklenir.

Parametreler

Kanonik adı veya yerel adı gönderin; ikisini birden göndermeyin. Kanonik adlar

AdTür Varsayılanİzin verilen Açıklama
promptgerekli
Türstring
Görselin maskeli bölgesindeki doldurmayı açıklayan istem.
image_urlgerekli image
Türurl · image
Üretim kaynağını görsel URL'si olarak sağlayın; kaynak görsel ile maskenin boyutlarının aynı olduğundan emin olun.
mask_urlgerekli mask
Türurl · image
İç boyama maskesini URL ile sağlayın; boyutlarının girdi görseliyle aynı olduğundan emin olun.
seedisteğe bağlı
Türinteger | null
Rastgele sayı üretimi için tohum değeri.
styleisteğe bağlı
Türenum
Varsayılanauto
autogeneralrealisticdesignrender_3Danime
Çıktı görselinin görsel stili.
expand_promptisteğe bağlı
Türboolean
Varsayılantrue
MagicPrompt'un istemi genişletip genişletmeyeceğini denetler.
gerekli Kanonik ad, bu ad da kabul edilir

Dosya parametreleri herkese açık bir https:// URL'si, 10 MB'a kadar bir data: URI'si veya yüklenen bir dosyanın file_url değerini kabul eder. Dosyalar

Çıktı

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "ideogram/v2/edit",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 80,
    "usd": "0.08",
    "charged": 80,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "mask_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200
      }
    ],
    "seed": 42
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
Dosyalarınız, seçiminizHer outputs[].url, depolamamızdaki bir kopyadır: sonsuza kadar (GB-ay başına ücretli) veya ücretsiz olarak 7 gün boyunca, hesap ayarınızla ya da ?storage= ile saklanır.
Her modelde aynı yapıGörüntüler, video ve ses için type, url, content_type, width, height ve duration aynıdır. output, modelin kendi sonuç nesnesidir.
Çıktı alanları
images
array of object {url, content_type, file_name, file_size}
seed
integerRastgele sayı üretimi için kullanılan tohum değeri.

Daha fazla model: Görsel Düzenleme

AI aracıları için: bu sayfanın Markdown biçimi şurada: https://doitong.com/tr/developers/models/ideogram/v2/edit.md. Tüm modeller ve kılavuzlar: https://doitong.com/developers/llms.txt